function dev2data,device,scale
;
;+
;   Name: dev2data
;
;   Purpose: return data coordiates from input device coord and !x.s/!y.s
;
;   Input Parameters:
;	device = device coordinates
;       scale = 4 element floating point scale (!x.s, !y.s)
;
;   History:
;	Origin unknown
;	13-May-02  rdb  Fixed error in header which meant never could work...
;

return,[(float(device(0))/float(!d.x_size) - scale(0))/scale(1), $
	(float(device(1))/float(!d.y_size) - scale(2))/scale(3)]
end
